Bug 806460 - Cannot ssh into instances using ec2 m1.small or m1.medium profiles
Cannot ssh into instances using ec2 m1.small or m1.medium profiles
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: imagefactory (Show other bugs)
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: jrd
Martin Kočí
Depends On:
  Show dependency treegraph
Reported: 2012-03-23 16:03 EDT by Richard Su
Modified: 2013-02-26 23:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-25 21:09:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
m1.small console output (19.63 KB, text/plain)
2012-03-23 16:03 EDT, Richard Su
no flags Details
ss (61.11 KB, image/png)
2012-03-25 21:07 EDT, wes hayutin
no flags Details

  None (edit)
Description Richard Su 2012-03-23 16:03:04 EDT
Created attachment 572371 [details]
m1.small console output

Description of problem:

Conductor reports the instance is up and running. The ssh key is also available. But will experience a timeout when you attempt to ssh into the running instance.

EC2 management console also shows state as running. But the instance fails 1 of 2 status checks.

The console output, attached to the BZ, shows a few errors during boot.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. create a deployment using small-x86_64 hwp, which will match to m1.small
2. start an instance
Actual results:
Instance starts up and is reported as running in conductor. But cannot ssh to it.

Expected results:
One should be able to ssh into it.
Comment 1 wes hayutin 2012-03-25 21:07:51 EDT
Created attachment 572608 [details]

ssh'ing into m1.small works fine for me..

[whayutin@thinkdoe Downloads]$ ssh -i ce-3y5h7_testInstanceBackEnd_1332723450_key_70307999677400.pem root@ec2-107-20-68-254.compute-1.amazonaws.com
Last login: Sun Mar 25 21:01:21 2012 from
[root@ip-10-191-81-118 ~]# 
[root@ip-10-191-81-118 ~]# 
[root@ip-10-191-81-118 ~]# wget -q -O -
  "kernelId" : "aki-08ed0761",
  "ramdiskId" : null,
  "instanceId" : "i-f0d9f094",
  "billingProducts" : [ "bp-6fa54006" ],
  "instanceType" : "m1.small",
  "architecture" : "x86_64",
  "version" : "2010-08-31",
  "availabilityZone" : "us-east-1a",
  "accountId" : "673500695950",
  "imageId" : "ami-999749f0",
  "pendingTime" : "2012-03-26T00:57:33Z",
  "devpayProductCodes" : null,
  "privateIp" : "",
  "region" : "us-east-1"
}[root@ip-10-191-81-118 ~]# free
             total       used       free     shared    buffers     cached
Mem:       1695484     155596    1539888          0      10184      50660
-/+ buffers/cache:      94752    1600732
Swap:            0          0
Comment 2 wes hayutin 2012-03-25 21:09:21 EDT
Richard, ping me if you still run into problems. It looks to me like you hit an issue w/ ec2, not cloud forms.

Note You need to log in before you can comment on or make changes to this bug.